Preliminary work for EAPI 9, which bans the latter.

Signed-off-by: Eli Schwartz <[email protected]>
---
 eclass/python-utils-r1.eclass | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/eclass/python-utils-r1.eclass b/eclass/python-utils-r1.eclass
index b08dbd586ba8..716149840597 100644
--- a/eclass/python-utils-r1.eclass
+++ b/eclass/python-utils-r1.eclass
@@ -1,4 +1,4 @@
-# Copyright 1999-2025 Gentoo Authors
+# Copyright 1999-2026 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 # @ECLASS: python-utils-r1.eclass
@@ -27,7 +27,7 @@ if [[ -z ${_PYTHON_UTILS_R1_ECLASS} ]]; then
 _PYTHON_UTILS_R1_ECLASS=1
 
 case ${EAPI} in
-       7|8) ;;
+       7|8) inherit eapi9-pipestatus ;;
        *) die "${ECLASS}: EAPI ${EAPI:-0} not supported" ;;
 esac
 
@@ -1231,12 +1231,12 @@ _python_check_occluded_packages() {
                                comm -1 -3 <(
                                        find "${fn}" -type f -not -path 
'*/__pycache__/*' |
                                                sort
-                                       assert
+                                       pipestatus || die
                                ) <(
                                        cd "${sitedir}" &&
                                                find "${fn}" -type f -not -path 
'*/__pycache__/*' |
                                                sort
-                                       assert
+                                       pipestatus || die
                                )
                        )
 
-- 
2.52.0


Reply via email to